FROM ruby:2.6.3-alpine
RUN apk update -qq && apk add nodejs postgresql-client
RUN apk add build-base \
    libxml2-dev \
    libxslt-dev \
    sqlite-dev \
    tzdata
RUN mkdir /myapp
WORKDIR /myapp
COPY Gemfile /myapp/Gemfile
COPY Gemfile.lock /myapp/Gemfile.lock
RUN apk add ruby ruby-nokogiri
RUN bundle install
COPY . /myapp

# Add a script to be executed every time the container starts.
# COPY entrypoint.sh /usr/bin/
# RUN chmod +x /usr/bin/entrypoint.sh
# ENTRYPOINT ["entrypoint.sh"]
EXPOSE 3000

# Start the main process.
CMD ["rails", "server", "-b", "0.0.0.0"]